<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <title>RunTouz</title>
  <meta content="" name="description">
  <meta content="" name="keywords">
  <link rel="stylesheet" href="style.css"> <!--lier fichier css-->


  <!-- Favicons -->
  <link href="0.png" rel="icon">
  <link href="0.png" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
  <!-- Vendor CSS Files -->
  <link href="assets/vendor/aos/aos.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
  <link href="assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
  <link href="assets/vendor/glightbox/css/glightbox.min.css" rel="stylesheet">
  <link href="assets/vendor/swiper/swiper-bundle.min.css" rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="assets/css/style.css" rel="stylesheet">

</head>

<!-- Vendor JS Files -->
<script src="assets/vendor/aos/aos.js"></script>
<script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="assets/vendor/glightbox/js/glightbox.min.js"></script>
<script src="assets/vendor/isotope-layout/isotope.pkgd.min.js"></script>
<script src="assets/vendor/swiper/swiper-bundle.min.js"></script>
<script src="assets/vendor/php-email-form/validate.js"></script>

<!-- Template Main JS File -->
<script src="assets/js/main.js"></script>

<body>

  <!-- ======= Header ======= -->
  <header id="header">
    <div class="container d-flex align-items-center justify-content-between"><!--pour le placer dans la page -->
    <p style="font-size: 30px;">RunTouz.</p> <!--style et taille du nom de l'entreprise -->
      <div class="logo">
      
      </div>
    
      <nav id="navbar" class="navbar">  
        
        <ul>
          <li><a class="nav-link scrollto active" href="#hero"><body>
        
  
          <font size=5 face="Verdana, Arial, Helvetica, sans-serif" color="#000000"><span id=clock></span>
          <!--style et span permet d'associer unstyle à une partie d'un texte-->
           <script>
          
           date = new Date().toLocaleDateString(); /*Ces lignes de code récupèrent la date actuelle et l affiche sur la page */
           document.write(date);
           
           function getthedate(){ /* Cette fonction crée une nouvelle date et récupère les heures, 
            les minutes et les secondes. Ensuite, il ajoute un zéro devant les minutes et les secondes 
            si elles sont inférieures à 10 pour maintenir un format de deux chiffres. 
            Enfin, il crée une chaîne de caractères qui contient les heures, 
            les minutes et les secondes formatées et l'affiche sur la page. 
            Si le navigateur prend en charge la propriété document.all, 
            il affiche la chaîne de caractères dans un élément appelé "clock". 
           Sinon, il utilise la méthode document.write pour l'afficher directement sur la page.*/
           var mydate=new Date()
           var hours=mydate.getHours()
           var minutes=mydate.getMinutes()
           var seconds=mydate.getSeconds()
           if (minutes<=9)
           minutes="0"+minutes
           if (seconds<=9)
           seconds="0"+seconds
           var cdate="<font size=5 color='#000000' face='Verdana'><center>"+ hours+":"+ minutes+":"+ seconds+"<center></font></small>"
           if (document.all)
           document.all.clock.innerHTML=cdate
           else
           document.write(cdate)
           }
           if (!document.all) /*Cette condition vérifie si le navigateur ne prend pas en charge la propriété document.all.
            Si c'est le cas, il appelle la fonction getthedate pour afficher l'heure actuelle.*/
           getthedate()

           function goforit(){ 
           if (document.all)
           setInterval("getthedate()",1000)
           /* Cette fonction utilise la méthode setInterval pour appeler la fonction
             getthedate toutes les secondes. Si le navigateur prend en charge la propriété document.all,
             il utilise cette méthode pour mettre à jour l'affichage de l'heure automatiquement.*/
           }
           
           </script>
             </font>

          </a></li> 
          <br><!--retour à la ligne-->
              
          </li>
        </ul>
        <i class="bi bi-list mobile-nav-toggle"></i>
      </nav><!-- .navbar -->

    </div>
  </header><!-- End Header -->
</section><!-- End Hero -->

  
<!-- ======= About Section ======= -->
<section id="about" class="about section-bg"><!--Cette première ligne de code HTML ouvre une section avec un identifiant about 
  et une classe 'about section-bgabout section-bg.-->
  
      <title>Caisse Tactile</title><!--Cette ligne définit le titre de la page HTML comme « Caisse Tactile ».-->
    
    </head>
    <body>
   
      <div class="container"><!--Ceci est une balise HTML utilisée pour créer un conteneur dans la page HTML.-->
      
        <h1>Caisse </h1><!--Ceci est une balise HTML utilisée pour créer un titre de niveau 1 dans la page HTML.-->
        
       
      </form>
        <table><!--Ceci est une balise HTML utilisée pour créer une table dans la page HTML.-->
          <thead><!--Ceci est une balise HTML utilisée pour créer l'en-tête de la table dans la page HTML.-->
            <tr><!-- Ceci est une balise HTML utilisée pour créer une ligne dans la table HTML.-->
              <th>Code</th><!--Ceci est une balise HTML utilisée pour créer une colonne de titre dans la table HTML.-->
              <th>Nom</th><!--Ceci est une balise HTML utilisée pour créer une colonne de titre dans la table HTML.-->
              <th>Prix</th><!-- Ceci est une balise HTML utilisée pour créer une colonne de titre dans la table HTML.-->
              <th>Quantité</th><!--: Ceci est une balise HTML utilisée pour créer une colonne de titre dans la table HTML.-->
              <th>Total</th><!--Ceci est une balise HTML utilisée pour créer une colonne de titre dans la table HTML.-->
          </tr>
          </thead>
          <tbody> 
            <?php foreach ($products as $product): ?><!--Ceci est une boucle PHP utilisée pour itérer sur chaque élément 
              dans le tableau -->
            <tr>
                <td><?php echo $product['Code']; ?></td><!--Ceci est une balise HTML utilisée pour créer une cellule de 
                  donnée dans la table HTML. Elle affiche la valeur de l'élément 'Code' dans le tableau $product.-->
                <td><?php echo $product['Nom']; ?></td><!--Ceci est une balise HTML utilisée pour créer une cellule de 
                  donnée dans la table HTML. Elle affiche la valeur de l'élément 'Nom' dans le tableau $product.-->
                <td><?php echo $product['Prix']; ?></td><!--Ceci est une balise HTML utilisée pour créer une cellule de 
                  donnée dans la table HTML. Elle affiche la valeur de l'élément 'Prix' dans le tableau $product.-->
                <td><?php echo $product['Quantité']; ?></td><!--Ceci est une balise HTML utilisée pour créer une cellule de 
                  donnée dans la table HTML. Elle affiche la valeur de l'élément 'Quantité' dans le tableau $product.-->
                <td><?php echo $product ['Total']; ?></td><!--Ceci est une balise HTML utilisée pour créer une cellule de 
                  donnée dans la table HTML. Elle affiche la valeur de l'élément 'Total' dans le tableau $product.-->
                <td>
                    <form method="POST"><!-- Ceci est une balise HTML utilisée pour créer un formulaire HTML.
                       La méthode utilisée est 'POST'.-->
                        <input type="hidden" name="product_id" value="<?php echo $product['code']; ?>">
                        <!--Cette balise HTML crée un champ de formulaire de type « hidden » qui permet de stocker une valeur 
                          qui ne sera pas visible pour l’utilisateur. Elle contient deux attributs : le nom du champ (« product_id ») 
                          et sa valeur qui sera récupérée à partir de la variable PHP « $product['code'] ».-->
                        <button type="submit" name="delete_product">Supprimer</button>
                    </form>
                </td>
            </tr>
        <?php endforeach; ?>
      
        </tbody>
          <table> 
         
         
          </table>

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>



</body>
<form action="" method="POST">
<label for="code_produit"> Servez-vous de la douchette si le produit n'est pas détecté :</label>
<input type="text" id="code_produit" name="code_produit" required>

<button type="submit" name="ajouter_produit"> Ajouter </button><!--bouton clicable -->

<br>
</form> 
<table> 
<br>
 <a href="paiement.html"><button id="mon-bouton" disabled>Valider panier</button></a> <!--fichier relier -->
<script>
 // Sélectionne le bouton
 var bouton = document.getElementById("mon-bouton");
 
 // Vérifie si des produits ont été ajoutés
 if (produit > 1) {
   // Active le bouton
   bouton.removeAttribute("disabled");
 } else {
   // Désactive le bouton
   bouton.setAttribute("disabled", "true");
 }
 </script>


</table>
</html>